#
# nasd_pub.awk - filter out records for private usage airports
#
# Copyright(C) 1999-2000, John C. Peterson <mailto:jaypee@netcom.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License,
# version 2. A copy is included in this distribution in the file
# named "LICENSE".
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License, version 2, for more details.
#
# $Id: nasd_pub.awk,v 1.1 2000/02/29 04:59:42 jcp Exp $
#

BEGIN { FS = ":"; }

/^APT/ {
  facility_ident = $2;
  facility_name = $3;
  facility_type = $4;
  facility_ownership = $5;
  facility_usage = $6;
  # test for public facility usage
  if (facility_usage == "PU") print $0;
}

/^RWY/ {
  runway_ident = $2;
  # test for public facility usage
  if ((runway_ident == facility_ident) && (facility_usage == "PU")) print $0;
}

/^TWR/ {
  tower_ident = $2;
  # test for public facility usage
  if ((tower_ident == facility_ident) && (facility_usage == "PU")) print $0;
}
